% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/filter.R
\name{selectGrps}
\alias{selectGrps}
\title{Select by treatment groups (replicate block)}
\usage{
selectGrps(mat, grps, percent, n)
}
\arguments{
\item{mat}{a matrix with rows correspond to phosphosites and columns
correspond to samples in replicates for different treatments.}

\item{grps}{a string specifying the grouping (replciates).}

\item{percent}{a percent from 0 to 1, specifying the percentage of quantified
values in any treatment group.}

\item{n}{an integer indicating n or more replicates pass the percentage
filtering for a phosphosite to be included.}
}
\value{
a filtered matrix with at least 'percent' quantification
in one or more conditions
}
\description{
Select phosphosites that have been quantified in a given
percentage of treatment groups (e.g. 0.75 as 3 out of 4 replicates)
in n groups.
}
\examples{
data('phospho.cells.Ins.sample')
grps = gsub('_[0-9]{1}', '', colnames(phospho.cells.Ins))

phospho.cells.Ins.filtered <- selectGrps(phospho.cells.Ins, grps, 0.5, n=1)

}
\author{
Pengyi Yang, Taiyun Kim
}
