% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Impute.R
\name{tImpute}
\alias{tImpute}
\title{Tail-based impute}
\usage{
tImpute(mat, m, s)
}
\arguments{
\item{mat}{a matrix with rows correspond to phosphosites and columns
correspond to samples.}

\item{m}{a numeric number for controlling mean downshifting.}

\item{s}{a numeric number for controlling standard deviation of downshifted
sampling values.}
}
\value{
An imputed matrix
}
\description{
Tail-based imputation approach as implemented in Perseus.
}
\examples{

data('phospho.cells.Ins.sample')
grps = gsub('_[0-9]{1}', '', colnames(phospho.cells.Ins))
phospho.cells.Ins.filtered <- selectGrps(phospho.cells.Ins, grps, 0.5, n=1)

set.seed(123)
phospho.cells.Ins.impute <- tImpute(phospho.cells.Ins.filtered)

}
